SUBDIRS=\
	utility \
	driver \
	protocol \
	kernel \
	sync \
	proc \
	funcs \
	test

TESTS=unitTest
noinst_PROGRAMS=send #unitTest
lib_LTLIBRARIES=libKernel.la

send_SOURCES=\
	kernel.cpp \
	send.cc

unitTest_SOURCES= \
	kernel.cpp \
	kernel.h \
	config.h \
	test.cc

libKernel_la_SOURCES= javaimpl_mp.cc

libKernel_la_LDFLAGS= -no-undefined -mno-cygwin

libKernel_la_LIBADD= \
	sync/libsyncServer.la \
	kernel/libunixKernel.la \
	utility/libutilityServer.la \
	protocol/net/libnetServer.la \
	funcs/libfuncSrv.la \
	protocol/g1.net/libg1netServer.la \
	driver/rs232/librs232unix.la

send_LDADD=\
	test/libtest.la \
	driver/timer/libTime.la \
	protocol/g1.net/libg1net.la \
	proc/libproc.la \
	kernel/libkernel.la \
	utility/libutility.la \
	protocol/net/libnet.la \
	funcs/libfunc.la \
	driver/rs232/librs232unix.la \
	sync/libsync.la \
	-lm #-ldl

unitTest_LDADD=\
	test/libtest.la \
	driver/timer/libTime.la \
	protocol/g1.net/libg1net.la \
	proc/libproc.la \
	kernel/libkernel.la \
	utility/libutility.la \
	protocol/net/libnet.la \
	funcs/libfunc.la \
	driver/rs232/librs232unix.la \
	sync/libsync.la \
	-lm #-ldl

INCLUDES= -I@top_srcdir@/src ${INC_SOLARIS} ${JNI_INC}
AM_LDFLAGS= -L